/*
 * Copyright (c) 2016, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.identity.user.store.count.internal;

import org.osgi.framework.BundleContext;
import org.wso2.carbon.identity.user.store.count.AbstractCountRetrieverFactory;
import org.wso2.carbon.user.core.service.RealmService;

import java.util.HashMap;
import java.util.Map;

/**
 * DataHolder for count users and roles in user store.
 */
public class UserStoreCountDataHolder {
    private static UserStoreCountDataHolder instance = new UserStoreCountDataHolder();

    private BundleContext bundleContext = null;
    private RealmService realmService = null;
    private Map<String, AbstractCountRetrieverFactory> countRetrieverFactories = new HashMap<>();

    private UserStoreCountDataHolder() {

    }

    public static UserStoreCountDataHolder getInstance() {
        return instance;
    }

    public RealmService getRealmService() {
        return realmService;
    }

    public void setRealmService(RealmService realmService) {
        this.realmService = realmService;
    }

    public BundleContext getBundleContext() {
        return bundleContext;
    }

    public void setBundleContext(BundleContext bundleContext) {
        this.bundleContext = bundleContext;
    }

    public Map<String, AbstractCountRetrieverFactory> getCountRetrieverFactories() {
        return countRetrieverFactories;
    }

}
